Returns the value of a key in the document

- « MongoDB\BSON\Document::offsetExists

- MongoDB\BSON\Document::offsetSet »

- PHP Manual
- MongoDB\BSON\Document
- Returns the value of a key in the document

# MongoDB\BSON\Document::offsetGet

(mongodb >=1.17.0)

MongoDB\BSON\Document::offsetGet — Returns the value of a key in the document

### Description

final public MongoDB\BSON\Document::offsetGet(mixed `$key`): mixed

### Parameters

`key`

  The key to retrieve from the document.

### Return Values

Returns the value associated with the given key. If the key is not present in the document, an exception is thrown.

> Note: When encountering a value encoded as 64-bit integer in the BSON document, the return value of this method will be a MongoDB\BSON\Int64 instance.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\RuntimeException if the key is not present in the document.

### See Also

- ArrayAccess::offsetGet() - Offset to retrieve
- MongoDB\BSON\Document::get() - Returns the value of a key in the document